# Initial spec file created by autospec ver. 0.3.1 with rpm 2.4.12 compatibility
Summary: The simple strategy board game of Mancala
Name: xmancala
%define version 1.0.0
Version: %{version}
Release: 1
Group: X11/Games/Strategy
Copyright: Artistic License
Vendor: Fellowship of Beer-drinking Programmers
Source: http://home.sol.no/~sverrehu/pub-unix/mancala-%{version}.tar.gz
Source1: xmancala.wmconfig
BuildRoot: /tmp/mancala-%{version}-root
# Following are optional fields
#URL: http://www.example.net/mancala/
#Distribution: Red Hat Contrib-Net
#Patch: mancala-%{version}.patch
#Prefix: /
#BuildArchitectures: noarch
#Requires: 
#Obsoletes: 

%description
Implementation of the simple board game called Mancala.  Be warned:
If you just bother to read the rules, you may get hooked on this!
This package contains just the xforms based user interface.

%prep
%setup -n mancala-%{version}

%build
make xmancala

%install
install -d ${RPM_BUILD_ROOT}/usr/X11R6/bin
install -d ${RPM_BUILD_ROOT}/etc/X11/wmconfig
install -m 755 xmancala ${RPM_BUILD_ROOT}/usr/X11R6/bin
cp ${RPM_SOURCE_DIR}/xmancala.wmconfig ${RPM_BUILD_ROOT}/etc/X11/wmconfig/xmancala

%files
%attr(-,root,root) /usr/X11R6/bin/xmancala
%attr(-,root,root) %config /etc/X11/wmconfig/xmancala
%attr(-,root,root) %doc README RULES
